org.sonatype.plexus.components.sec.dispatcher

## Class DefaultSecDispatcher

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.sonatype.plexus.components.sec.dispatcher.DefaultSecDispatcher

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, SecDispatcher

    public class DefaultSecDispatcher
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements SecDispatcher

Author:
  Oleg Gusakov

### Field Summary

Fields
`protected org.sonatype.plexus.components.cipher.PlexusCipher` `_cipher` DefaultHandler
`protected String` `_configurationFile`
`protected Map` `_decryptors` All available dispatchers
`static char` `ATTR_START`
`static char` `ATTR_STOP`
`static String` `SYSTEM_PROPERTY_SEC_LOCATION`
`static String` `TYPE_ATTR`

### Fields inherited from interface org.sonatype.plexus.components.sec.dispatcher.SecDispatcher

`ROLE, SYSTEM_PROPERTY_MASTER_PASSWORD, SYSTEM_PROPERTY_SERVER_PASSWORD`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSecDispatcher()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `decrypt(String str)` decrypt given encrypted string
`String` `getConfigurationFile()`
`static void` `main(String[] args)`
`void` `setConfigurationFile(String file)`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SYSTEM_PROPERTY_SEC_LOCATION

    public static final String SYSTEM_PROPERTY_SEC_LOCATION

See Also:
  Constant Field Values

#### TYPE_ATTR

    public static final String TYPE_ATTR

See Also:
  Constant Field Values

#### ATTR_START

    public static final char ATTR_START

See Also:
  Constant Field Values

#### ATTR_STOP

    public static final char ATTR_STOP

See Also:
  Constant Field Values

#### _cipher

    protected org.sonatype.plexus.components.cipher.PlexusCipher _cipher

DefaultHandler

#### _decryptors

    protected Map _decryptors

All available dispatchers

#### _configurationFile

    protected String _configurationFile

### Constructor Detail

#### DefaultSecDispatcher

    public DefaultSecDispatcher()

### Method Detail

#### decrypt

    public String decrypt(String str)
                   throws SecDispatcherException

Description copied from interface: `SecDispatcher`
decrypt given encrypted string

Specified by:
  `decrypt` in interface `SecDispatcher`
Returns:
  decrypted string
Throws:
  `SecDispatcherException`

#### getConfigurationFile

    public String getConfigurationFile()

#### setConfigurationFile

    public void setConfigurationFile(String file)

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`